Package org.eclipse.graphiti

## Interface IName

All Known Subinterfaces:
  `IAddBendpointFeature`, `IAddFeature`, `ICopyFeature`, `ICreateConnectionFeature`, `ICreateFeature`, `ICustomFeature`, `IDeleteFeature`, `IDirectEditingFeature`, `IFeature`, `ILayoutFeature`, `IMoveAnchorFeature`, `IMoveBendpointFeature`, `IMoveConnectionDecoratorFeature`, `IMoveFeature`, `IMoveShapeFeature`, `IPasteFeature`, `IPrintFeature`, `IReconnectionFeature`, `IRemoveBendpointFeature`, `IRemoveFeature`, `IResizeFeature`, `IResizeShapeFeature`, `ISaveImageFeature`, `IUpdateFeature`

All Known Implementing Classes:
  `AbstractAddFeature`, `AbstractAddPictogramElementFeature`, `AbstractAddShapeFeature`, `AbstractAsynchronousCustomFeature`, `AbstractCopyFeature`, `AbstractCreateConnectionFeature`, `AbstractCreateFeature`, `AbstractCustomFeature`, `AbstractDirectEditingFeature`, `AbstractDrillDownFeature`, `AbstractFeature`, `AbstractLayoutFeature`, `AbstractMoveShapeFeature`, `AbstractPasteFeature`, `AbstractPrintFeature`, `AbstractSaveImageFeature`, `AbstractUpdateFeature`, `AddFeatureForPattern`, `CreateConnectionFeatureForPattern`, `CreateFeatureForPattern`, `DebugFeature`, `DefaultAddBendpointFeature`, `DefaultDeleteFeature`, `DefaultMoveAnchorFeature`, `DefaultMoveBendpointFeature`, `DefaultMoveConnectionDecoratorFeature`, `DefaultMoveShapeFeature`, `DefaultPrintFeature`, `DefaultReconnectionFeature`, `DefaultRemoveBendpointFeature`, `DefaultRemoveFeature`, `DefaultResizeShapeFeature`, `DefaultSaveImageFeature`, `DefaultUpdateDiagramFeature`, `DeleteFeatureForPattern`, `DirectEditingFeatureForPattern`, `LayoutFeatureForPattern`, `MoveShapeFeatureForPattern`, `ReconnectionFeatureForPattern`, `RemoveFeatureForPattern`, `ResizeShapeFeatureForPattern`, `UpdateFeatureForPattern`, `UpdateNoBoFeature`

    public interface IName

The Interface IName. Allows to provide a descriptive name for an object.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getName()` Gets the name.

### Method Detail

#### getName

    java.lang.String getName()

Gets the name.

Returns:
  the name